---
title: <desc>
slug: Web/SVG/Element/desc
tags:
  - Element
  - SVG
  - SVG Descriptive
---
<div>{{SVGRef}}</div>

<p>The <strong><code>&lt;desc&gt;</code></strong> element provides an accessible, long-text description of any SVG <a href="/en-US/docs/Web/SVG/Element#Container_elements">container element</a> or <a href="/en-US/docs/Web/SVG/Element#Graphics_elements">graphics element</a>.</p>

<p>Text in a <code>&lt;desc&gt;</code> element is not rendered as part of the graphic. If the element can be described by visible text, it is possible to reference that text with the <code><a href="/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_aria-describedby_attribute">aria-describedby</a></code> attribute. If <code>aria-describedby</code> is used, it will take precedence over <code>&lt;desc&gt;</code>. </p>

<p>The hidden text of a <code>&lt;desc&gt;</code> element can also be concatenated with the visible text of other elements using multiple IDs in an <code>aria-describedby</code> value. In that case, the <code>&lt;desc&gt;</code> element must provide an ID for reference.</p>

<div id="Exemple">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;circle cx="5" cy="5" r="4"&gt;
    &lt;desc&gt;
      I'm a circle and that description is here to
      demonstrate how I can be described, but is it
      really necessary to describe a simple circle
      like me?
    &lt;/desc&gt;
  &lt;/circle&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('Exemple', 150, '100%')}}</p>
</div>

<h2 id="Attributes">Attributes</h2>

<p>This element only includes global attributes</p>

<h3 id="Global_attributes">Global attributes</h3>

<dl>
 <dt><a href="/docs/Web/SVG/Attribute/Core">Core Attributes</a></dt>
 <dd><small>Most notably: {{SVGAttr('id')}}</small></dd>
 <dt><a href="/docs/Web/SVG/Attribute/Styling">Styling Attributes</a></dt>
 <dd><small>{{SVGAttr('class')}}, {{SVGAttr('style')}}</small></dd>
 <dt>Event Attributes</dt>
 <dd><small><a href="/docs/Web/SVG/Attribute/Events#Global_Event_Attributes">Global event attributes</a>, <a href="/docs/Web/SVG/Attribute/Events#Document_Element_Event_Attributes">Document element event attributes</a></small></dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>{{svginfo}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'struct.html#DescriptionAndTitleElements', '&lt;desc&gt;')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'struct.html#DescriptionAndTitleElements', '&lt;desc&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.desc")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("title")}}</li>
</ul>
